Hi itsmyjob,
The function GetPoint gives Leader Endpoint and Breakpoints, it won't give the stub end point.
myleader.NbPoint gives count as 1 unless we have any Breakpoints.
Or is there any way to get the stub length, so that stub end point can be calculated using Text Anchor point/Position?
Hi itsmyjob,
I have tried available methods in the chm file:
Following are the ones listed, but still the "Point" that I want to access is not available. Or even the "stub length" also is not available.
AllAround
Returns or sets the status of all around.
AnchorPoint
Returns or sets anchor...
Is there any way to get the point coordinates of Leader stub.
Please check the attached image. I have marked a point at the end of leader stub.
Link
I have tried to use Leader1.NbPoint but that gives me the count as 1 i.e. the Leader End Point (End Point of arrow)
Dear Ferdo, the solution is fine if I need to give user the choice of selection.
But here I want to feed the diagonal points of rectangular selection thru code.
Let me explain what I am trying for.
I have coordinates of a point and I want to select the point with smallest possible rectangular...
The method that you have explained was already thought but we get 2 intersection points or more that will increase the checking time. Instead I was looking for the option of measuring Point and Product programmatically, the command is available in Catia, that gives me one distance per product...
Thanks itsmyjob. Actually I was looking for TheSPAWorkBench.GetMeasurable(Product1), is it possible?
I can get distance between points, edge etc. Can I use Product in the same fashion?
Here is what I was trying, there are three (or more) Products or Components in an assembly. A line passes thru...
We are updating drawing views with similar parts, where we end up in getting lot of pink dimensions. Re-routing will not work for some dimensions, and we need to create new ones. To avoid writing ECN and also to ease the comparison of old and new drawings, we exactly overlap the dimension...
Thank you very much itsmyjob.
I was looking for a macro for the following thread and finally able to get it
http://www.eng-tips.com/viewthread.cfm?qid=391940
I have two dimensions in drafting, and want to Line up one of them to other, I used Line-Up option, but it only aligned the dimension line and not the dimension value. I want to overlap both dimensions exactly to the Dimension value position. I tried to create a macro, but I am not able to get x...
Sub CATMain()
Dim InputObjectType(0)
Set Document = CATIA.ActiveDocument
Set Selection = Document.Selection
Dim prtPart As Part
Set prtPart = CATIA.ActiveDocument.Part
Dim oHSF As HybridShapeFactory
Set oHSF = prtPart.HybridShapeFactory
InputObjectType(0) = "Face"
Status =...
We need to change the color of tangent continuous faces of a solid body. As of now we are selecting the faces one by one. Is there any option in Catia to select All tangent continuous faces at a time, like propagation/federate option of Join command.
I checked the following thread, it didn't...
We always used "2 Line method" to create any sketch.
Create 2 lines (basically x and y axes) that are perpendicular to each other, position them and fully constrain them, and then constrain your sketch w.r.t. these 2 lines. With this, we can avoid referring more than two references for a sketch...
We work for Airbus program, with VPM and PDMLink for Product Data management.
We use PSE (Product Structure Explorer) of PDMLink for BOM. But PSE is not working after updating java to latest version. Can someone help.